how to install VIC3 2FXS/DID and VIC2-2FXO cards on Cisco 2801 router PVDM2-8

Hello
I'm looking for information on how to install 2 newly purchased cards and keep running into dead links. The cards I bought are for a CISCO-2801-CCME/K9 with PVDM2-8, FL-CCME-25, SP Services 128F/256D cisco router:
vic3 2fxs/DID and a vic2 2fxo.
I keep finding documents on how to install these cards but all links are dead and leading to nowhere.
http://www.cisco.com/en/US/docs/routers/access/interfaces/ic/hardware/installation/guide/2port_FXS_DID_VIC.html#wp1065062

The 2 documents i'm looking for are: how to install a 2-port vic2 fxo cards on cisco 2801 router and how to install 2-port vic3 2fxs/DID cards on the same 2801 cisco router.
NOTE: I've never installed these cards and am not sure if:
Does my ios support both of these cards?
 and which slots do I install those in the router.
I have 4 slots like this:
slot 0: This slot only accepts VIC's  ***This could be used for the vic3 2fxs/DID card correct?
slot 1: Nothing written here  ****What can i install in this slot?
slot 2: This slot only accepts VIC's and WIC's  ***If I buy a WIC and install here which other slot can i install my VIC2-2FXO card in ?
slot 3: Nothing written here  ***What can i install in this slot?
Any chance someone can help me out with this.
Thanks very much
ibanez7Asked:
Who is Participating?

[Product update] Infrastructure Analysis Tool is now available with Business Accounts.Learn More

x
I wear a lot of hats...

"The solutions and answers provided on Experts Exchange have been extremely helpful to me over the last few years. I wear a lot of hats - Developer, Database Administrator, Help Desk, etc., so I know a lot of things but not a lot about one thing. Experts Exchange gives me answers from people who do know a lot about one thing, in a easy to use platform." -Todd S.

GJHopkinsCommented:
See installation diagram here

http://www.cisco.com/en/US/docs/routers/access/2800/hardware/installation/guide/01_hw.html#wp1089015

the vics can go in any slot. The others are

0 - VIC or VWIC
2 - WIC, VIC OR VWIC
1,3  - WIC, VIC , VWIC, HWIC

IOS - SPServices should be Ok - but may depend on version.
0

Experts Exchange Solution brought to you by

Your issues matter to us.

Facing a tech roadblock? Get the help and guidance you need from experienced professionals who care. Ask your question anytime, anywhere, with no hassle.

Start your 7-day free trial
GJHopkinsCommented:
See installation diagram here

http://www.cisco.com/en/US/docs/routers/access/2800/hardware/installation/guide/01_hw.html#wp1089015

the vics can go in any slot. The others are

0 - VIC or VWIC
2 - WIC, VIC OR VWIC
1,3  - WIC, VIC , VWIC, HWIC

IOS - SPServices should be Ok - but may depend on version.
0
Powerful Yet Easy-to-Use Network Monitoring

Identify excessive bandwidth utilization or unexpected application traffic with SolarWinds Bandwidth Analyzer Pack.

ibanez7Author Commented:
Thanks very much for the help GJHopkins

I have installed the cards and was wondering how do I enable and check if they are both installed properly and if my ios supports both cards?
As for the IOS i have on the router is : c-2801-spservicesk9-mz.124-15.T10.bin
From what i can tell (cisco feature navigator) i don't think it supports the vic3-2fxs/DID but am not sure. If I go down the list I can see that it supports FXO answer and disconnect supervision. (Is this what is telling me that it supports the fxo ?) I don't see any mention about the FXS at all.
I think i may need the ios spservices 12.4(22)YB in order to support both cards. Any chance you can let me know if i'm right on this? This shows me that is supports FXO answer and disconnect supervision and FXO delayed caller id delivery but again i don't see anything related to FXS so again i'm not sure if this ios supports both cards or not.

Thanks very much for your help.
0
GJHopkinsCommented:
Yes I think it will, but will check when I can. To see that the cards are OK do a

show diag - which will list them and show that your PVDM module is Ok as well.
0
GJHopkinsCommented:
Bit hard to find on cisco.com but this reference

http://www.cisco.com/en/US/products/hw/routers/ps274/products_tech_note09186a00800b53c7.shtml

states the VIC2-2FXO will work with 12.3(8)T4 on 2811 so I think you should be Ok witrh 12.4(15)T10


0
ibanez7Author Commented:
Thanks again for your help.
From the link provided the 2-port VIC2-FXO requires a minimum of 12.3(8)T minimum requirement which is why my present IOS c-2801-spservicesk9-mz.124-15.T10.bin supports this card. (when i do a show version i can actually see the 2 voice FXO interfaces) but not the FXS interfaces.
Now if i go back in the link provided the 2-port VIC3-2FXS/DID requires a minimum IOS of 12.4(20)T which is probably why I can't see the 2 FXS interfaces correct?
So i found 2 of the c2801-spservicesk9-mz.124-20.T.bin . One is only SP Services and the other is SPSK9 FEAT SET FACTORY UPG FOR BUNDLES (my router came with a voice bundle so is this the one i should download to get both of these cards working?)

Thanks again for the help.
0
ibanez7Author Commented:
I just did a show diag and found that the card i installed in slot 0 which is the VIC3-2FXS/DID is not recognized which I beleive is because my IOS of c-2801-spservicesk9-mz.124-15.T10.bin does not support is this correct?

Thanks very much for the help.
0
GJHopkinsCommented:
Yes the two Cisco doc disagree, looks like 12.4.20T is needed.  So you will need to upgrade IOS

The part SPSK9 FEAT SET FACTORY UPG FOR BUNDLES  is a factory upgrade to be used when placing  the original order.

c2801-spservicesk9-mz.124-20.T.bin under SP Services should be the one to download.
0
ibanez7Author Commented:
Thanks very much
I will download it and try it out then post back in. Thanks very much again for the help.
0
ibanez7Author Commented:
Here's where i'm at now. I removed my previous IOS: c-2801-spservicesk9-mz.124-15.T10.bin and installed
(C2801-SPSERVICESK9-M), Version 12.4(22)YB5. I can now see both cards no problem. Now in my previous version the CCME installed was the CME-full-4.1.0.2 tar
From what i have found the new IOS (C2801-SPSERVICESK9-M), Version 12.4(22)YB5 requires to install
CME-full-7.1.0.0 tar
Do I need to replace the 4.1 to the 7.1 and if yes how do i accomplish this or will this work with the cme 4.1?

Thanks again
0
GJHopkinsCommented:
The recommended IOS for CUCME 7.1 is 12.4.24T if you have an account with Cisco you can download the CUCME files here

http://tools.cisco.com/support/downloads/go/ImageList.x?relVer=7.1&mdfid=277641082&sftType=Unified+Communications+Manager+Express+Complete+Support+File+Set&optPlat=&nodecount=3&edesignator=null&modelName=Cisco+Unified+Communications+Manager+Express&treeMdfId=278875240&treeName=Voice+and+Unified+Communications&modifmdfid=null&imname=&hybrid=&imst=&lr=Y

Although feature navigator states that 12.4(22)YB5 support CUCME 7.0 and CME 4.0 so you may be Ok without the uograde.

To upgrade download the zip file from the link above and extract the contents to a new flash card, or backup your exiting one delete the files and replace. Some of the tar files will need further extraction but you can do that for the phone models you need.

use the archive tar /xtract command on the router






0
ibanez7Author Commented:
Thanks again for your help.
I tried backing them up to my tftp but am unable to. I keep getting errors when i try to backup the files to tftp.

Those are the files from the CME 4.1.0.2 that I installed before having to upgrade.
    9  drw-           0  Mar 29 2010 19:29:42 -04:00  bacdprompts
   21  -rw-       20954  Mar 29 2010 19:29:50 -04:00  CME41-full-readme.txt  ***able to backup
   22  drw-           0  Mar 29 2010 19:29:50 -04:00  Desktops
   35  drw-           0  Mar 29 2010 19:29:56 -04:00  gui
   54  -rw-      496521  Mar 29 2010 19:30:06 -04:00  music-on-hold.au  ***able to backup
   55  drw-           0  Mar 29 2010 19:30:06 -04:00  phone
  153  drw-           0  Mar 29 2010 19:35:52 -04:00  ringtones

Here are the commands that i tried to backup the files before attempting to delete them.

CME_router#copy flash:bacdprompts tftp
Address or name of remote host []? 172.16.2.11
Destination filename [bacdprompts]?
%Error reading flash:bacdprompts (Cannot perform requested operation on a direct
ory)

CME_router#copy flash:Desktops tftp
Address or name of remote host []? 172.16.2.11
Destination filename [Desktops]?
%Error reading flash:Desktops (Cannot perform requested operation on a directory
)
CME_router#copy flash:gui tftp
Address or name of remote host []? 172.16.2.11
Destination filename [gui]?
%Error reading flash:gui (Cannot perform requested operation on a directory)

CME_router#copy flash:phone tftp
Address or name of remote host []? 172.16.2.11
Destination filename [phone]?
%Error reading flash:phone (Cannot perform requested operation on a directory)

CME_router#copy flash:ringtones tftp
Address or name of remote host []? 172.16.2.11
Destination filename [ringtones]?
%Error reading flash:ringtones (Cannot perform requested operation on a director
y)

How can i backup these files before deleting?
Which command can i use to delete these files:

delete flash: bacdprompts
delete flash: CME41-full-readme.txt
delete flash: Desktops etc... down the list then do the extract like i originally did when i installed cme-full-4.1 ?

Thanks again for your help.
0
GJHopkinsCommented:
yes you cannot copy a directory in this way. You can use

archive tar create to make a tar file of the directory and move that off, or if you have a compact flash card reader for the PC just remove the card from the router and copy all the files off it that way - much quicker.
0
ibanez7Author Commented:
Sorry to bug you again but i'm a little lost on how to do this. I don't have a compact flash and am confused on how to perform this. Can you explain a bit more please?

Like i mentionned above these are the files i have to backup then remove:
   9  drw-           0  Mar 29 2010 19:29:42 -04:00  bacdprompts
   21  -rw-       20954  Mar 29 2010 19:29:50 -04:00  CME41-full-readme.txt  ***able to backup
   22  drw-           0  Mar 29 2010 19:29:50 -04:00  Desktops
   35  drw-           0  Mar 29 2010 19:29:56 -04:00  gui
   54  -rw-      496521  Mar 29 2010 19:30:06 -04:00  music-on-hold.au  ***able to backup
   55  drw-           0  Mar 29 2010 19:30:06 -04:00  phone
  153  drw-           0  Mar 29 2010 19:35:52 -04:00  ringtones

So how do i create the tar file of the directory?
router(config)# archive tar /create ?
router(config)# archive tar /create bacdprompts then this will be saved on flash then save this to tftp?
and do I do this for all files named above?

What is the command to delete these files after?
delete /force /recursive flash:bacdprompts
delete /force /recursive flash:CME41-full-readme.txt
delete /force /recursive flash:Desktops  etc...?

Sorry and thanks again for your patience and help with this.
0
ibanez7Author Commented:
Ok... i was able to finally create all tar files and copy all backup everything except for 1 which i keep getting an error while it's creating the tar file.
CME_router#dir flash:/phone
Directory of flash:/phone/

   56  drw-           0  Mar 29 2010 19:30:06 -04:00  7945-7965
   65  drw-           0  Mar 29 2010 19:30:36 -04:00  7902
   67  drw-           0  Mar 29 2010 19:30:38 -04:00  7905
   70  drw-           0  Mar 29 2010 19:30:42 -04:00  7906-7911
   79  drw-           0  Mar 29 2010 19:31:08 -04:00  7910
   82  drw-           0  Mar 29 2010 19:31:12 -04:00  7912
   84  drw-           0  Mar 29 2010 19:31:14 -04:00  7914
   87  drw-           0  Mar 29 2010 19:31:14 -04:00  7920
   89  drw-           0  Mar 29 2010 19:31:20 -04:00  7921
   97  drw-           0  Mar 29 2010 19:32:02 -04:00  7931
  105  drw-           0  Mar 29 2010 19:32:28 -04:00  7935
  107  drw-           0  Mar 29 2010 19:32:36 -04:00  7936
  110  drw-           0  Mar 29 2010 19:32:50 -04:00  7940-7960
  116  drw-           0  Mar 29 2010 19:32:56 -04:00  7941-7961
  125  drw-           0  Mar 29 2010 19:33:24 -04:00  7942-7962
  134  drw-           0  Mar 29 2010 19:33:52 -04:00  7970-7971
  143  drw-           0  Mar 29 2010 19:34:20 -04:00  7975
  151  drw-           0  Mar 29 2010 19:34:48 -04:00  7985

128704512 bytes total (2199552 bytes free)

CME_router#archive tar /create flash:/phone-backup phone
archiving 7945-7965 (directory)
archiving 7945-7965/apps45.8-3-1-22.sbn (2489775 bytes)
error writing data for tar archive

Any chance someone can give me a little help figuring this last command so i can delete the original and install CME 7.1 ?
0
GJHopkinsCommented:
from the file sizes and the free space I'd say you have probably run out of flash

Free 128704512 bytes total (2199552 bytes free)

Needed archiving 7945-7965/apps45.8-3-1-22.sbn (2489775 bytes)


0
ibanez7Author Commented:
Thank you so very much for all your precious time and expertize in helping me get back on track. I really appreciated it.
0
ibanez7Author Commented:
Thanks very much...GJHopkins

It's all done. You were correct. I made space and when i went to backup the file I ended up erasing the entire flash...lol ... But it would have worked...lol
That's ok i re-installed it all and have the new CME 7.1 with all the loads done and installed. Back to where i was at but with new ios, CME and ready to proceed.


Thanks very much for your help and information. It"s greatly appreciated.
0
GJHopkinsCommented:
Thanks for that, glad I could help
0
It's more than this solution.Get answers and train to solve all your tech problems - anytime, anywhere.Try it for free Edge Out The Competitionfor your dream job with proven skills and certifications.Get started today Stand Outas the employee with proven skills.Start learning today for free Move Your Career Forwardwith certification training in the latest technologies.Start your trial today
Routers

From novice to tech pro — start learning today.